Package ru.bitel.bgbilling.kernel.network.radius

# Class RadiusAttribute.RadiusAttributeAbinary

java.lang.Object
ru.bitel.bgbilling.kernel.network.tlv.Tlv<RadiusAttributeInfo<String>,String>
ru.bitel.bgbilling.kernel.network.radius.RadiusAttribute<String>
ru.bitel.bgbilling.kernel.network.radius.RadiusAttribute.RadiusAttributeAbinary

Enclosing class:
  `RadiusAttribute<V>`

public static class RadiusAttribute.RadiusAttributeAbinary extends RadiusAttribute<String>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.bgbilling.kernel.network.radius.RadiusAttribute

  `RadiusAttribute.RadiusAttributeAbinary, RadiusAttribute.RadiusAttributeInteger, RadiusAttribute.RadiusAttributeIpAddr, RadiusAttribute.RadiusAttributeString`

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.network.radius.RadiusAttribute

  `tag`

  ### Fields inherited from class ru.bitel.bgbilling.kernel.network.tlv.Tlv

  `data, info, length, value`

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  ``
  `RadiusAttributeAbinary(int vendor, int type, int tag, String data)`
  ``
  `RadiusAttributeAbinary(int vendor, int type, int tag, ByteBuffer data)`
  ``
  `RadiusAttributeAbinary(int vendor, int type, String data)`
  ``
  `RadiusAttributeAbinary(int vendor, int type, ByteBuffer data)`
  `protected`
  `RadiusAttributeAbinary(RadiusAttributeInfo<String> info, int tag, String data)`
  `protected`
  `RadiusAttributeAbinary(RadiusAttributeInfo<String> info, int tag, ByteBuffer data)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `RadiusAttribute.RadiusAttributeAbinary`
  `clone()`
  `String`
  `getStringValue()`
  Deprecated.
  use `Tlv.getValue()`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.network.radius.RadiusAttribute

  `equals, getTag, toString, toString, write`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.network.tlv.Tlv

  `getData, getDataAsByteArray, getLength, getValue`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RadiusAttributeAbinary

    protected RadiusAttributeAbinary(RadiusAttributeInfo<String> info, int tag, ByteBuffer data)

  - ### RadiusAttributeAbinary

    protected RadiusAttributeAbinary(RadiusAttributeInfo<String> info, int tag, String data)

  - ### RadiusAttributeAbinary

    public RadiusAttributeAbinary(int vendor, int type, ByteBuffer data)

  - ### RadiusAttributeAbinary

    public RadiusAttributeAbinary(int vendor, int type, String data)

  - ### RadiusAttributeAbinary

    public RadiusAttributeAbinary(int vendor, int type, int tag, ByteBuffer data)

  - ### RadiusAttributeAbinary

    public RadiusAttributeAbinary(int vendor, int type, int tag, String data)

- ## Method Details

  - ### getStringValue

    @Deprecated public String getStringValue()
    Deprecated.
    use `Tlv.getValue()`
    Для обратной совместимости
    Returns:

  - ### clone

    public RadiusAttribute.RadiusAttributeAbinary clone()
    Overrides:
      `clone` in class `RadiusAttribute<String>`